TikTok Shop

The shop's products with SKUs, prices and inventory

GET/api/public/v1/tik_tok_shop/products/catalog
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id listTikTokShopCatalog

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/products/catalog" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
statusquerystringOne of ALLDRAFTPENDINGFAILEDACTIVATESELLER_DEACTIVATEDPLATFORM_DEACTIVATEDFREEZEDELETED Default ACTIVATE
page_sizequeryinteger Default 50
page_tokenquerystring
organization_idqueryinteger

Responses

200Success

FieldTypeNotes
nextPageTokenstring, nullable
productsarray of object
products[].[].createdAtstring (date-time), nullable
products[].[].imageUrlstring, nullable
products[].[].productIdstring
products[].[].skusarray of object
products[].[].skus[].[].currencystring, nullable
products[].[].skus[].[].imageUrlstring, nullable
products[].[].skus[].[].inventoryinteger, nullable
products[].[].skus[].[].listPricestring, nullable
products[].[].skus[].[].salePricestring, nullable
products[].[].skus[].[].sellerSkustring, nullable
products[].[].skus[].[].skuIdstring
products[].[].skus[].[].statusstring, nullable
products[].[].skus[].[].taxExclusivePricestring, nullable
products[].[].skus[].[].warehousesarray of object
products[].[].skus[].[].warehouses[].[].quantityinteger, nullable
products[].[].skus[].[].warehouses[].[].warehouseIdstring, nullable
products[].[].statusstring, nullable
products[].[].titlestring
products[].[].updatedAtstring (date-time), nullable
shopIdstring
totalCountinteger, nullable

Example

{
  "nextPageToken": "string",
  "products": [
    {
      "createdAt": "2026-11-01T15:04:05Z",
      "imageUrl": "https://example.com/p/1",
      "productId": "string",
      "skus": [
        {
          "currency": "usd",
          "imageUrl": "https://example.com/p/1",
          "inventory": 3,
          "listPrice": "string",
          "salePrice": "string",
          "sellerSku": "string",
          "skuId": "string",
          "status": "string",
          "taxExclusivePrice": "string",
          "warehouses": [
            null
          ]
        }
      ],
      "status": "string",
      "title": "string",
      "updatedAt": "2026-11-01T15:04:05Z"
    }
  ],
  "shopId": "string",
  "totalCount": 3
}

Errors: 400401404422429502with an error and usually a message. See errors.

Example values are made up from each field's type and name.